from ..segment import all_segments, Segment

__all__ = ['get_segments']
            
def get_segments(phase, **opt):
    segment = {}
    for s in all_segments:
        segment[s] = Segment(s, phase, **opt)
        segment[s].load_metadata_variables()
    
    return segment